DECLARE
  --
  RESLT   NUMBER;                         -- VARIABLE PARA EL RESULTADO
  RSP     USR_OP.LOG.LOG_RESULTADO%TYPE;  -- VARIABLE PARA LA RESPUESTA
  --
  --
begin
  --
  -- CREAMOS VARIAS TEMPORADAS
  --
  USR_OP.G_TEMPORADA.ALTA('TEMPORADA 2012-2013', RSP, RESLT); --1
  USR_OP.G_TEMPORADA.ALTA('TEMPORADA 2013-2014', RSP, RESLT); --2
  USR_OP.G_TEMPORADA.ALTA('TEMPORADA 2014-2015', RSP, RESLT); --3
  --
  --
  -- CREAMOS VARIAS COMPETICIONES
  --
  USR_OP.G_COMPETICION.ALTA('UEFA CHAMPIONS LEAGUE', RSP, RESLT); --1
  USR_OP.G_COMPETICION.ALTA('UEFA EUROPA LEAGUE'   , RSP, RESLT); --2
  USR_OP.G_COMPETICION.ALTA('COPA S. M. EL REY'    , RSP, RESLT); --3
  --
  --
  -- CREAMOS VARIOS PAISES
  --
  USR_OP.G_PAIS.ALTA('ESPAA'     , RSP, RESLT); --1
  USR_OP.G_PAIS.ALTA('ALEMANIA'   , RSP, RESLT); --2
  USR_OP.G_PAIS.ALTA('REUNO UNIDO', RSP, RESLT); --3
  USR_OP.G_PAIS.ALTA('PORTUGAL'   , RSP, RESLT); --4
  USR_OP.G_PAIS.ALTA('ITALIA'     , RSP, RESLT); --5
  USR_OP.G_PAIS.ALTA('FRANCIA'    , RSP, RESLT); --6
  USR_OP.G_PAIS.ALTA('BRASIL'     , RSP, RESLT); --7
  USR_OP.G_PAIS.ALTA('ARGENTINA'  , RSP, RESLT); --8
  --
  --
  -- CREAMOS VARIOS EQUIPOS
  --
  USR_OP.G_EQUIPO.ALTA('AT. MADRID'   , 1, RSP, RESLT); --1
  USR_OP.G_EQUIPO.ALTA('REAL MADRID'  , 1, RSP, RESLT); --2 
  USR_OP.G_EQUIPO.ALTA('SEVILLA'      , 1, RSP, RESLT); --3
  USR_OP.G_EQUIPO.ALTA('VALENCIA'     , 1, RSP, RESLT); --4
  USR_OP.G_EQUIPO.ALTA('BAYERN MUNICH', 2, RSP, RESLT); --5
  USR_OP.G_EQUIPO.ALTA('CHELSEA'      , 3, RSP, RESLT); --6
  USR_OP.G_EQUIPO.ALTA('BENFICA'      , 4, RSP, RESLT); --7
  USR_OP.G_EQUIPO.ALTA('JUVENTUS'     , 5, RSP, RESLT); --8
  --
  --
  -- CREAMOS VARIOS JUGADORES
  --
  USR_OP.G_JUGADOR.ALTA('CRISTIANO RONALDO', 4, RSP, RESLT); --1
  USR_OP.G_JUGADOR.ALTA('RICARDO COSTA'    , 4, RSP, RESLT); --2
  USR_OP.G_JUGADOR.ALTA('SERGIO RAMOS'     , 1, RSP, RESLT); --3
  USR_OP.G_JUGADOR.ALTA('ISCO'             , 1, RSP, RESLT); --4   
  USR_OP.G_JUGADOR.ALTA('PACO ALCACER'     , 1, RSP, RESLT); --5
  USR_OP.G_JUGADOR.ALTA('FERNANDO TORRES'  , 1, RSP, RESLT); --6
  USR_OP.G_JUGADOR.ALTA('REYES'            , 1, RSP, RESLT); --7
  USR_OP.G_JUGADOR.ALTA('MARIO GOMEZ'      , 2, RSP, RESLT); --8
  USR_OP.G_JUGADOR.ALTA('DAVID VILLA'      , 1, RSP, RESLT); --9
  USR_OP.G_JUGADOR.ALTA('DIEGO COSTA'      , 5, RSP, RESLT); --10
  USR_OP.G_JUGADOR.ALTA('GARAY'            , 8, RSP, RESLT); --11
  USR_OP.G_JUGADOR.ALTA('LIMA'             , 7, RSP, RESLT); --12  
  USR_OP.G_JUGADOR.ALTA('TEVEZ'            , 8, RSP, RESLT); --13  
  --
  --
  -- CREAMOS VARIAS JORNADAS
  --
  USR_OP.G_JORNADA.ALTA(2,1,'SEMIFINALES. PARTIDOS DE IDA'   , RSP, RESLT); --1
  USR_OP.G_JORNADA.ALTA(2,1,'SEMIFINALES. PARTIDOS DE VUELTA', RSP, RESLT); --2  
  USR_OP.G_JORNADA.ALTA(2,2,'SEMIFINALES. PARTIDOS DE IDA'   , RSP, RESLT); --3
  USR_OP.G_JORNADA.ALTA(2,2,'SEMIFINALES. PARTIDOS DE VUELTA', RSP, RESLT); --4
  USR_OP.G_JORNADA.ALTA(2,1,'FINAL'                          , RSP, RESLT); --5
  USR_OP.G_JORNADA.ALTA(2,2,'FINAL'                          , RSP, RESLT); --6
  --   
  -- 
  -- CREAMOS VARIOS PARTIDOS (JORNADA, EQ_LOCAL, EQ_VISITANTE, FECHA)
  --
  USR_OP.G_PARTIDO.ALTA(1, 1, 6, '22/04/2014', RSP, RESLT); --1
  USR_OP.G_PARTIDO.ALTA(1, 2, 5, '23/04/2014', RSP, RESLT); --2
  USR_OP.G_PARTIDO.ALTA(3, 3, 4, '24/04/2014', RSP, RESLT); --3
  USR_OP.G_PARTIDO.ALTA(3, 7, 8, '24/04/2014', RSP, RESLT); --4 
  USR_OP.G_PARTIDO.ALTA(2, 6, 1, '30/04/2014', RSP, RESLT); --5 
  USR_OP.G_PARTIDO.ALTA(2, 5, 2, '29/04/2014', RSP, RESLT); --6
  USR_OP.G_PARTIDO.ALTA(4, 4, 3, '01/05/2014', RSP, RESLT); --7
  USR_OP.G_PARTIDO.ALTA(4, 8, 7, '01/05/2014', RSP, RESLT); --8
  --
  --
  -- ASIGNAMOS JUGADORES A LAS PLANTILLAS EN VARIAS TEMPORADAS (JUGADOR, EQUIPO, TEMPORADA
  --
  USR_OP.G_JUG_EQ_TEMP.ALTA(1 , 2, 1, RSP, RESLT);
  USR_OP.G_JUG_EQ_TEMP.ALTA(1 , 2, 2, RSP, RESLT);
  USR_OP.G_JUG_EQ_TEMP.ALTA(1 , 2, 3, RSP, RESLT);
  USR_OP.G_JUG_EQ_TEMP.ALTA(2 , 7, 1, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(2 , 4, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(2 , 4, 3, RSP, RESLT);     
  USR_OP.G_JUG_EQ_TEMP.ALTA(3 , 2, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(4 , 2, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(5 , 4, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(6 , 1, 1, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(6 , 6, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(7 , 3, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(8 , 5, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(9 , 1, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(10, 1, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(11, 7, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(12, 7, 2, RSP, RESLT);  
  USR_OP.G_JUG_EQ_TEMP.ALTA(13, 8, 2, RSP, RESLT);  
  --
  --
  -- ASIGNAMOS JUGADORES QUE JUEGAN EN LOS PARTIDOS (partido, jugador)
  --
  USR_OP.G_JUEGA.ALTA(1,  6, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(1,  9, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(1, 10, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(2,  1, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(2,  3, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(2,  4, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(2,  8, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(3,  2, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(3,  5, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(3,  7, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(4, 13, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(4, 11, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(4, 12, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(5,  6, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(5,  9, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(5, 10, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(6,  1, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(6,  3, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(6,  4, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(6,  8, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(7,  2, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(7,  5, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(7,  7, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(8, 13, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(8, 11, RSP, RESLT);
  USR_OP.G_JUEGA.ALTA(8, 12, RSP, RESLT);
  --
  --
  -- INTRODUCIMOS LOS GOLES DE LOS PARTIDOS
  --
  USR_OP.G_GOL.ALTA(2,  2,  1, '1T', RSP, RESLT);
  USR_OP.G_GOL.ALTA(3,  3,  7, '1T', RSP, RESLT);
  USR_OP.G_GOL.ALTA(3,  3,  7, '1T', RSP, RESLT);
  USR_OP.G_GOL.ALTA(4,  7, 11, '1T', RSP, RESLT);
  USR_OP.G_GOL.ALTA(4,  7, 12, '2T', RSP, RESLT);
  USR_OP.G_GOL.ALTA(4,  8, 13, '2T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(5,  6,  6, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(5,  1,  9, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(5,  1, 10, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(5,  1,  9, '2T', RSP, RESLT);
  USR_OP.G_GOL.ALTA(6,  2,  3, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(6,  2,  1, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(6,  2,  3, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(6,  2,  1, '2T', RSP, RESLT);    
  USR_OP.G_GOL.ALTA(7,  4,  5, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(7,  4,  5, '1T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(7,  4,  2, '2T', RSP, RESLT);  
  USR_OP.G_GOL.ALTA(7,  3,  7, '2T', RSP, RESLT);  
  --
  --
  -- INTRODUCIMOS LOS TIPOS DE MODALIDAD
  --
  USR_OP.G_TIPO_MODALIDAD.ALTA('EQUIPO'   , 'EQUIPO'    , RSP, RESLT); --1
  USR_OP.G_TIPO_MODALIDAD.ALTA('JUGADOR'  , 'JUGADOR'   , RSP, RESLT); --2
  USR_OP.G_TIPO_MODALIDAD.ALTA('RESULTADO', 'RESULTADO' , RSP, RESLT); --3
  USR_OP.G_TIPO_MODALIDAD.ALTA('1X2'      , '1X2'       , RSP, RESLT); --4
  USR_OP.G_TIPO_MODALIDAD.ALTA('N_GOLES'  , 'N_GOLES'   , RSP, RESLT); --5 
  --
  --
  -- INTRODUCIMOS VARIAS MODALIDADES DE APUESTA
  --
  
  USR_OP.G_MODALIDAD.ALTA('JUGADOR QUE MARCA EL PRIMER GOL', 2, RSP, RESLT); --1
  USR_OP.G_MODALIDAD.ALTA('RESULTADO DE LA PRIMERA PARTE'  , 3, RSP, RESLT); --2
  USR_OP.G_MODALIDAD.ALTA('RESULTADO FINAL DEL PARTIDO'    , 3, RSP, RESLT); --3
  USR_OP.G_MODALIDAD.ALTA('RESULTADO QUINIELA'             , 4, RSP, RESLT); --4
  USR_OP.G_MODALIDAD.ALTA('EQUIPO QUE MARCAR PRIMERO'     , 1, RSP, RESLT); --5
  USR_OP.G_MODALIDAD.ALTA('NUMERO DE GOLES MARCADOS'       , 5, RSP, RESLT); --6
  --
  --
  -- INTRODUCIMOS VARIOS USUARIOS
  --
  USR_OP.G_USUARIO.ALTA('JOSE'     , 'JOSE MUOZ'     , '01/01/1990', 1, RSP, RESLT);
  USR_OP.G_USUARIO.ALTA('VICENTE'  , 'VICENTE ARCE'   , '30/04/1990', 1, RSP, RESLT);
  USR_OP.G_USUARIO.ALTA('FERNANDO' , 'FERNANDO GARCIA', '01/01/1995', 1, RSP, RESLT);
  USR_OP.G_USUARIO.ALTA('PAOLO'    , 'PAOLO SIENNA'   , '01/10/1987', 5, RSP, RESLT);
  USR_OP.G_USUARIO.ALTA('KARL'     , 'KARL FRIERZ'    , '27/04/1992', 2, RSP, RESLT);
  USR_OP.G_USUARIO.ALTA('JESUS'    , 'JESUS LOPEZ'    , '01/01/1983', 1, RSP, RESLT);
  USR_OP.G_USUARIO.ALTA('PETER'    , 'PETER WILSON'   , '08/02/1998', 3, RSP, RESLT);  
  --
  --
  -- INTRODUCIMOS APUESTAS
  --
  USR_OP.G_APUESTA.ALTA(1, 2, 'JOSE'    , '20/04/2014', 2, '0-0', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(1, 3, 'JOSE'    , '19/04/2014', 3, '0-1', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(1, 3, 'FERNANDO', '17/04/2014', 1, '2-1', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(1, 4, 'VICENTE' , '17/04/2014', 2, 'X'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(1, 5, 'PETER'   , '21/04/2014', 1, '6'  , RSP, RESLT);
  --
  USR_OP.G_APUESTA.ALTA(2, 1, 'JOSE'    , '20/04/2014', 6, '1'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(2, 1, 'JESUS'   , '20/04/2014', 4, '3'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(2, 3, 'JOSE'    , '20/04/2014', 3, '1-0', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(2, 3, 'FERNANDO', '17/04/2014', 1, '2-1', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(2, 4, 'KARL'    , '17/04/2014', 8, '2'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(2, 2, 'JOSE'    , '20/04/2014', 1, '0-0', RSP, RESLT);
  --
  USR_OP.G_APUESTA.ALTA(3, 4, 'VICENTE' , '23/04/2014', 2, '2'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(3, 5, 'FERNANDO', '23/04/2014', 1, '3'  , RSP, RESLT);  
  USR_OP.G_APUESTA.ALTA(3, 3, 'VICENTE' , '23/04/2014', 2, '2-0', RSP, RESLT);
  --
  USR_OP.G_APUESTA.ALTA(7, 3, 'VICENTE' , '30/04/2014', 5, '3-1', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 6, 'JOSE'    , '30/04/2014', 6, '2'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 1, 'JESUS'   , '30/04/2014', 4, '3'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 3, 'JOSE'    , '30/04/2014', 3, '1-0', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 3, 'FERNANDO', '30/04/2014', 1, '2-1', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 6, 'KARL'    , '30/04/2014', 8, '4'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 5, 'JOSE'    , '30/04/2014', 1, '4'  , RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(7, 5, 'VICENTE' , '30/04/2014', 1, '3'  , RSP, RESLT);  
  --
  USR_OP.G_APUESTA.ALTA(6, 5, 'VICENTE' , '28/04/2014',  2, '2', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(6, 5, 'JOSE'    , '28/04/2014',  2, '2', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(6, 5, 'JESUS'   , '28/04/2014',  2, '5', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(6, 5, 'KARL'    , '28/04/2014',  5, '5', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(6, 5, 'FERNANDO', '28/04/2014', 10, '2', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(6, 5, 'PAOLO'   , '28/04/2014',  8, '2', RSP, RESLT);
  USR_OP.G_APUESTA.ALTA(6, 5, 'PETER'   , '28/04/2014',  1, '2', RSP, RESLT);
  --
  --
  -- INTRODUCIMOS LOS RESULTADOS DE LAS MODALIDADES EN LOS PARTIDOS
  --
  USR_OP.G_RESULTADO.ALTA(1, 2, '0-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(1, 3, '0-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(1, 4, 'X'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(1, 6, '0'  , RSP, RESLT); 
  -- 
  USR_OP.G_PARTIDO.MODIFICAR(1, '22/04/2014', 'S', RSP, RESLT);
  --
  --
  USR_OP.G_RESULTADO.ALTA(2, 1, '1'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(2, 2, '1-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(2, 3, '1-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(2, 4, '1'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(2, 5, '2'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(2, 6, '1'  , RSP, RESLT); 
  -- 
  USR_OP.G_PARTIDO.MODIFICAR(2, '23/04/2014', 'S', RSP, RESLT);
  --
  USR_OP.G_RESULTADO.ALTA(3, 1, '7'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(3, 2, '2-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(3, 3, '2-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(3, 4, '1'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(3, 5, '3'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(3, 6, '1'  , RSP, RESLT); 
  -- 
  USR_OP.G_PARTIDO.MODIFICAR(3, '24/04/2014', 'S', RSP, RESLT);
  --
  --
  USR_OP.G_RESULTADO.ALTA(6, 1, '3'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(6, 2, '0-3', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(6, 3, '0-4', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(6, 4, '2'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(6, 5, '2'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(6, 6, '4'  , RSP, RESLT); 
  -- 
  USR_OP.G_PARTIDO.MODIFICAR(6, '29/04/2014', 'S', RSP, RESLT);
  --
  --
  USR_OP.G_RESULTADO.ALTA(7, 1, '5'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(7, 2, '2-0', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(7, 3, '3-1', RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(7, 4, '1'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(7, 5, '4'  , RSP, RESLT);
  USR_OP.G_RESULTADO.ALTA(7, 6, '4'  , RSP, RESLT); 
  -- 
  USR_OP.G_PARTIDO.MODIFICAR(7, '01/05/2014', 'S', RSP, RESLT);
  --
  --
  COMMIT;
  --
END  ;