--
-- Creacin del Usuario con permisos en la BD Operacional
--
CREATE USER USR_OP
  IDENTIFIED BY operacional
  DEFAULT TABLESPACE TS_PFC_OP
  QUOTA UNLIMITED ON TS_PFC_OP
  TEMPORARY TABLESPACE temp;
--
-- Asignacin de permisos al Usuario
--
GRANT CREATE SESSION  ,  
      CREATE TABLE    ,
      CREATE TRIGGER  ,
      CREATE TYPE     ,
      CREATE SEQUENCE ,
      CREATE PROCEDURE,
	  SELECT ANY TABLE
TO USR_OP;
--
--
-- Usuario para la creacin del DW
--
CREATE USER USR_DW
  IDENTIFIED BY estadistica
  DEFAULT TABLESPACE TS_PFC_DW
  QUOTA UNLIMITED ON TS_PFC_DW
  TEMPORARY TABLESPACE temp;
--
-- Asignacin de permisos al Usuario
--
GRANT CREATE SESSION ,  
      CREATE TABLE   ,
      CREATE TRIGGER ,
      CREATE TYPE    ,
      CREATE SEQUENCE,
      CREATE PROCEDURE,
	  SELECT ANY TABLE
TO USR_DW;
